import { Router } from 'express';
import AuthController from '../controllers/authController.js';

const router = Router();
const authController = new AuthController();

// Öffentliche Routen (keine Authentifizierung erforderlich)
router.post('/register', authController.register);
router.post('/login', authController.login);
router.post('/forgot-password', authController.forgotPassword);
router.post('/activate', authController.activateAccount);

// Geschützte Routen (Authentifizierung erforderlich)
router.get('/logout', authController.logout);

export default router;
